Package org.silverpeas.components.mydb.service.impl

## Class SimpleMyDBConnectionInfoService

- java.lang.Object
- - org.silverpeas.components.mydb.service.impl.SimpleMyDBConnectionInfoService

- All Implemented Interfaces:
    `MyDBConnectionInfoService`

      @Service
      public class SimpleMyDBConnectionInfoService
      extends Object
      implements MyDBConnectionInfoService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleMyDBConnectionInfoService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<DataSourceDefinition>` | `getAllDataSourceDefinitions()` |
    `List<MyDBConnectionInfo>` | `getConnectionInfoList​(String instanceId)` |
    `void` | `removeConnectionInfoOfComponentInstance​(String componentInstanceId)` |
    `void` | `saveConnectionInfo​(MyDBConnectionInfo connectionInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMyDBConnectionInfoService

          public SimpleMyDBConnectionInfoService()

  - ### Method Detail

    - #### getConnectionInfoList

          public List<MyDBConnectionInfo> getConnectionInfoList​(String instanceId)

      Specified by:
        `getConnectionInfoList` in interface `MyDBConnectionInfoService`

    - #### removeConnectionInfoOfComponentInstance

          public void removeConnectionInfoOfComponentInstance​(String componentInstanceId)

      Specified by:
        `removeConnectionInfoOfComponentInstance` in interface `MyDBConnectionInfoService`

    - #### saveConnectionInfo

          public void saveConnectionInfo​(MyDBConnectionInfo connectionInfo)

      Specified by:
        `saveConnectionInfo` in interface `MyDBConnectionInfoService`

    - #### getAllDataSourceDefinitions

          public List<DataSourceDefinition> getAllDataSourceDefinitions()

      Specified by:
        `getAllDataSourceDefinitions` in interface `MyDBConnectionInfoService`